<?php include("config.inc.php"); ?>
<?php
$desenho = $_GET['desenho'];

if($desenho == ""){
    header("Location: ".$arrConfig['url_site']."erro.php?lastPage=setup_codDesenho.php&tipo=Código de Desenho Inválido&descricao=Por favor insira um código de desenho válido.");
    exit();

}
$numTerminal = $_SESSION['numTerminal'];
$curl = curl_init();
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt_array($curl, array(
  CURLOPT_URL => $arrConfig["url_api"].'validaDesenho?codigo='.$desenho.'&numTerminal='.$numTerminal,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  
));

$response = curl_exec($curl);

curl_close($curl);

$array = json_decode($response, true);
$resposta = $array['Resposta'][0];

$erro = $array['Erro'];
if($erro){
    echo "ola";
}
echo $erro;

echo $resposta;





if(!$erro && $resposta == ""){
   
   
    $maquina = $_SESSION['maquina'];
    $user = $_SESSION['user'];
    $curl = curl_init();
    curl_setopt($curl, CURLOPT_POST, true);
    curl_setopt_array($curl, array(
      CURLOPT_URL => $arrConfig["url_api"].'inicioSetup?CodMaquina='.$maquina.'&CodDesenho='.$desenho.'&strUser='.$user,
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => '',
      CURLOPT_MAXREDIRS => 10,
      CURLOPT_TIMEOUT => 0,
      CURLOPT_FOLLOWLOCATION => true,
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => 'POST',
      
    ));
    
    $response = curl_exec($curl);
    
    curl_close($curl);
    
    $array = json_decode($response, true);
    $resposta = $array['Resposta'][0];
    
    $erro = $array['Erro'];
    if($erro){
        header("Location: ".$arrConfig['url_site']."erro.php?lastPage=setup_codDesenho.php&tipo=Erro ao Iniciar Setup&descricao=Ocorreu um erro ao iniciar o setup da máquina. Tente Novamente.");
    exit();
    }
    echo $erro;
    
    echo $resposta;

 

    $_SESSION['desenho'] = $desenho;
    //PEDIDO PHP API PARA ATUALIZAR INFORMAÇÕES NA TABELA
   
    header("Location: ".$arrConfig['url_site']."setup_previewDesenho.php");
    exit();
}
else{
  
    header("Location: ".$arrConfig['url_site']."erro.php?lastPage=setup_codDesenho.php&tipo=Código de Desenho Inválido&descricao=Por favor insira um código de desenho válido.");
    exit();
}





?>